消費税率一覧取得
GET
/consumption_tax_rates
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/consumption_tax_rates';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/consumption_tax_rates \ --header 'Authorization: Bearer <token>'消費税率一覧を取得します。
対象プラン
- スタンダード
- プレミアム
- プレミアムプラス
- フードビジネス
- リテールビジネス
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”fields
array
検索パラメータ(カンマ区切りで指定可)
Response項目を指定可能
※一部項目(withで指定する項目、2階層目以降の項目)については指定不可
sort
string
並び順(カンマ区切りで指定可)
指定可能なパラメータ
applyStartDate:適用開始日
limit
integer
上限数
page
integer
ページ
target_date
string
対象日:指定した場合、対象日時点で有効な消費税率を1件取得 [YYYY-MM-DD]
Responses
Section titled “Responses”取得成功
Media typeapplication/json
Array<object>
object
applyStartDate
適用開始日
string
taxRate
税率(単位%)
string
taxRounding
税の丸め方式(0:四捨五入、1:切り捨て、2:切り上げ)
string
Example
[ { "applyStartDate": "string", "taxRate": "string", "taxRounding": "string" }]